Index: .hgignore
===================================================================
--- .hgignore	(revision 298)
+++ .hgignore	(revision 155)
@@ -30,7 +30,5 @@
 syntax: regexp
 (.*/)?\#[^/]*\#$
-(.*/)?\.\#[^/]*$
 ^doc/html/.*
-^doc/.*\.tag
 ^autom4te.cache/.*
 ^build-aux/.*
Index: AUTHORS
===================================================================
--- AUTHORS	(revision 330)
+++ AUTHORS	(revision 330)
@@ -0,0 +1,26 @@
+The authors of the 1.x series are
+
+ * Balazs Dezso <deba@inf.elte.hu>
+ * Alpar Juttner <alpar@cs.elte.hu>
+ * Peter Kovacs <kpeter@inf.elte.hu>
+ * Akos Ladanyi <ladanyi@tmit.bme.hu>
+
+For more details on the actual contribution, please visit the history
+of the main LEMON source repository: http://lemon.cs.elte.hu/hg/lemon
+
+Moreover, this version is heavily based on the 0.x series of
+LEMON. Here is the list of people who contributed to those versions.
+
+ * Mihaly Barasz <klao@cs.elte.hu>
+ * Johanna Becker <beckerjc@cs.elte.hu>
+ * Attila Bernath <athos@cs.elte.hu>
+ * Balazs Dezso <deba@inf.elte.hu>
+ * Peter Hegyi <hegyi@tmit.bme.hu>
+ * Alpar Juttner <alpar@cs.elte.hu>
+ * Peter Kovacs <kpeter@inf.elte.hu>
+ * Akos Ladanyi <ladanyi@tmit.bme.hu>
+ * Marton Makai <marci@cs.elte.hu>
+ * Jacint Szabo <jacint@cs.elte.hu>
+
+Again, please visit the history of the old LEMON repository for more
+details: http://lemon.cs.elte.hu/svn/lemon/trunk
Index: CMakeLists.txt
===================================================================
--- CMakeLists.txt	(revision 274)
+++ CMakeLists.txt	(revision 141)
@@ -1,89 +1,5 @@
-CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
-
-SET(PROJECT_NAME "LEMON")
-SET(PROJECT_VERSION "hg-tip" CACHE STRING "The version string.")
-
-PROJECT(${PROJECT_NAME})
-
-SET(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
-
-INCLUDE(FindDoxygen)
-INCLUDE(FindGhostscript)
-
-ENABLE_TESTING()
-
-ADD_SUBDIRECTORY(lemon)
-ADD_SUBDIRECTORY(demo)
-ADD_SUBDIRECTORY(doc)
-ADD_SUBDIRECTORY(test)
-
-IF(WIN32)
-  INSTALL(FILES ${CMAKE_SOURCE_DIR}/cmake/nsis/lemon.ico
-    DESTINATION bin)
-ENDIF(WIN32)
-
-IF(WIN32)
-  SET(CPACK_PACKAGE_NAME ${PROJECT_NAME})
-  SET(CPACK_PACKAGE_VENDOR
-    "EGRES - Egervary Research Group on Combinatorial Optimization")
-  SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY
-    "LEMON - Library of Efficient Models and Optimization in Networks")
-  SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/LICENSE")
-
-  SET(CPACK_PACKAGE_VERSION ${PROJECT_VERSION})
-
-  SET(CPACK_PACKAGE_INSTALL_DIRECTORY
-    "${PROJECT_NAME} ${PROJECT_VERSION}")
-  SET(CPACK_PACKAGE_INSTALL_REGISTRY_KEY
-    "${PROJECT_NAME} ${PROJECT_VERSION}")
-
-  # Variables to generate a component-based installer.
-  #SET(CPACK_COMPONENTS_ALL headers library html_documentation)
-
-  #SET(CPACK_COMPONENT_HEADERS_DISPLAY_NAME "C++ headers")
-  #SET(CPACK_COMPONENT_LIBRARY_DISPLAY_NAME "Static library")
-  #SET(CPACK_COMPONENT_HTML_DOCUMENTATION_DISPLAY_NAME "HTML documentation")
-
-  #SET(CPACK_COMPONENT_HEADERS_DESCRIPTION
-  #  "C++ header files for use with the LEMON library")
-  #SET(CPACK_COMPONENT_LIBRARY_DESCRIPTION
-  #  "Static library used to build programs with LEMON")
-  #SET(CPACK_COMPONENT_HTML_DOCUMENTATION_DESCRIPTION
-  #  "Doxygen generated documentation")
-
-  #SET(CPACK_COMPONENT_HEADERS_DEPENDS library)
-
-  #SET(CPACK_COMPONENT_HEADERS_GROUP "Development")
-  #SET(CPACK_COMPONENT_LIBRARY_GROUP "Development")
-  #SET(CPACK_COMPONENT_HTML_DOCUMENTATION_GROUP "Documentation")
-
-  #SET(CPACK_COMPONENT_GROUP_DEVELOPMENT_DESCRIPTION
-  #  "Components needed to develop software using LEMON")
-  #SET(CPACK_COMPONENT_GROUP_DOCUMENTATION_DESCRIPTION
-  #  "Documentation of LEMON")
-
-  #SET(CPACK_ALL_INSTALL_TYPES Full Developer)
-
-  #SET(CPACK_COMPONENT_HEADERS_INSTALL_TYPES Developer Full)
-  #SET(CPACK_COMPONENT_LIBRARY_INSTALL_TYPES Developer Full)
-  #SET(CPACK_COMPONENT_HTML_DOCUMENTATION_INSTALL_TYPES Full)
-
-  SET(CPACK_GENERATOR "NSIS")
-  SET(CPACK_NSIS_MUI_ICON "${CMAKE_SOURCE_DIR}/cmake/nsis/lemon.ico")
-  SET(CPACK_NSIS_MUI_UNIICON "${CMAKE_SOURCE_DIR}/cmake/nsis/uninstall.ico")
-  #SET(CPACK_PACKAGE_ICON "${CMAKE_SOURCE_DIR}/cmake/nsis\\\\installer.bmp")
-  SET(CPACK_NSIS_INSTALLED_ICON_NAME "bin\\\\lemon.ico")
-  SET(CPACK_NSIS_DISPLAY_NAME "${CPACK_PACKAGE_INSTALL_DIRECTORY} ${PROJECT_NAME}")
-  SET(CPACK_NSIS_HELP_LINK "http:\\\\\\\\lemon.cs.elte.hu")
-  SET(CPACK_NSIS_URL_INFO_ABOUT "http:\\\\\\\\lemon.cs.elte.hu")
-  SET(CPACK_NSIS_CONTACT "lemon-user@lemon.cs.elte.hu")
-  SET(CPACK_NSIS_CREATE_ICONS_EXTRA "
-    CreateShortCut \\\"$SMPROGRAMS\\\\$STARTMENU_FOLDER\\\\Documentation.lnk\\\" \\\"$INSTDIR\\\\doc\\\\index.html\\\"
-    ")
-  SET(CPACK_NSIS_DELETE_ICONS_EXTRA "
-    !insertmacro MUI_STARTMENU_GETFOLDER Application $MUI_TEMP
-    Delete \\\"$SMPROGRAMS\\\\$MUI_TEMP\\\\Documentation.lnk\\\"
-    ")
-
-  INCLUDE(CPack)
-ENDIF(WIN32)
+project (LEMON)
+enable_testing ()
+add_subdirectory (lemon)
+add_subdirectory (demo)
+add_subdirectory (test)
Index: INSTALL
===================================================================
--- INSTALL	(revision 325)
+++ INSTALL	(revision 5)
@@ -2,60 +2,47 @@
 =========================
 
-Since you are reading this I assume you already obtained one of the release
+   Since you are reading this I assume you already obtained one of the release
 tarballs and successfully extracted it. The latest version of LEMON is
-available at our web page (http://lemon.cs.elte.hu/).
+available at our webpage (http://lemon.cs.elte.hu/).
 
-In order to install LEMON from the extracted source tarball you have to
+   In order to install LEMON from the extracted source tarball you have to
 issue the following commands:
 
-   1. `cd lemon-x.y.z'
+  1. `cd lemon-x.y.z'
 
-      This command changes to the directory which was created when you
-      extracted the sources. The x.y.z part is a version number.
+     This changes to the directory which was created when you extracted the
+     sources. The x.y.z part is a version number.
 
-   2. `./configure'
+  2. `./configure'
 
-      This command runs the configure shell script, which does some checks and
-      creates the makefiles.
+     This runs the configure shell script, which does some checks and
+     configuration (creates makefiles etc).
 
-   3. `make'
+  3. `make'
 
-      This command compiles the non-template part of LEMON into libemon.a
-      file. It also compiles the programs in the tools and demo subdirectories
-      when enabled.
+     This command compiles the non-template part of LEMON into libemon.a file.
+     It also compiles the benchmark and demo programs when enabled.
 
-   4. `make check'
+  4. `make check'
 
-      This step is optional, but recommended. It runs the test programs that
-      we developed for LEMON to check whether the library works properly on
-      your platform.
+     This step is optional, but recommended. It runs the test programs that we
+     developed for LEMON to check whether the library works properly on your
+     platform.
 
-   5. `make install'
+  5. `make install'
 
-      This command installs LEMON under /usr/local (you will need root
-      privileges to be able to do that). If you want to install it to some
-      other location, then pass the --prefix=DIRECTORY flag to configure in
-      step 2. For example: `./configure --prefix=/home/username/lemon'.
-
-   6. `make install-html'
-
-      This command installs the documentation under share/doc/lemon/docs. The
-      generated documentation is included in the tarball. If you want to
-      generate it yourself, then run `make html'. Note that for this you need
-      to have the following programs installed: Doxygen, Graphviz, Ghostscript,
-      Latex.
+     This command installs LEMON under /usr/local (you will need root
+     privileges to be able to do that). If you want to install it to some
+     other location, then pass the --prefix=DIRECTORY flag to configure in
+     step 1. For example: `./configure --prefix=/home/username/lemon'
 
 
-Configure Options and Variables
-===============================
+Configure Flags
+===============
 
-In step 2 you can customize the actions of configure by setting variables
-and passing options to it. This can be done like this:
-`./configure [OPTION]... [VARIABLE=VALUE]...'
+   You can pass the following flags to configure in step 1
+(see ./configure --help for more):
 
-Below you will find some useful variables and options (see `./configure --help'
-for more):
-
-CXX='comp'
+CXX=comp
 
   Change the C++ compiler to 'comp'.
@@ -63,26 +50,24 @@
 CXXFLAGS='flags'
 
-  Pass the 'flags' to the compiler. For example CXXFLAGS='-O3 -march=pentium-m'
-  turns on generation of aggressively optimized Pentium-M specific code.
-
---prefix=PREFIX
-
-  Set the installation prefix to PREFIX. By default it is /usr/local.
+  Pass the 'flags' to the compiler. For example
+  CXXFLAGS='-O3 -march=pentium-m'
+  turns  on generation of aggressively optimized
+  Pentium-M specific code.
 
 --enable-demo
 
-   Build the examples in the demo subdirectory.
+   Build the demo programs too.
 
 --disable-demo
 
-   Do not build the examples in the demo subdirectory (default).
+   Do not build the demo programs (default).
 
---enable-tools
+--enable-benchmark
 
-   Build the programs in the tools subdirectory (default).
+   Build the benchmark programs too.
 
---disable-tools
+--disable-benchmark
 
-   Do not build the programs in the tools subdirectory.
+   Do not build the benchmark programs (default).
 
 --with-glpk[=PREFIX]
@@ -131,24 +116,2 @@
 
    Disable CPLEX support.
-
---with-soplex[=PREFIX]
-
-   Enable SoPlex support (default). You should specify the prefix too if
-   you installed SoPlex to some non-standard location (e.g. your home
-   directory). If it is not found, SoPlex support will be disabled.
-
---with-soplex-includedir=DIR
-
-   The directory where the SoPlex header files are located. This is only
-   useful when the SoPlex headers and libraries are not under the same
-   prefix (which is unlikely).
-
---with-soplex-libdir=DIR
-
-   The directory where the SoPlex libraries are located. This is only
-   useful when the SoPlex headers and libraries are not under the same
-   prefix (which is unlikely).
-
---without-soplex
-
-   Disable SoPlex support.
Index: Makefile.am
===================================================================
--- Makefile.am	(revision 314)
+++ Makefile.am	(revision 330)
@@ -5,10 +5,10 @@
 
 EXTRA_DIST = \
+	AUTHORS \
 	LICENSE \
 	m4/lx_check_cplex.m4 \
 	m4/lx_check_glpk.m4 \
 	m4/lx_check_soplex.m4 \
-	CMakeLists.txt \
-	cmake
+	CMakeLists.txt
 
 pkgconfigdir = $(libdir)/pkgconfig
@@ -25,5 +25,4 @@
 bin_PROGRAMS =
 check_PROGRAMS =
-dist_bin_SCRIPTS =
 TESTS =
 XFAIL_TESTS =
@@ -33,4 +32,5 @@
 include doc/Makefile.am
 include demo/Makefile.am
+include benchmark/Makefile.am
 include tools/Makefile.am
 
Index: README
===================================================================
--- README	(revision 325)
+++ README	(revision 24)
@@ -1,42 +1,60 @@
-==================================================================
+------------------------------------------------------------------
 LEMON - a Library of Efficient Models and Optimization in Networks
-==================================================================
+------------------------------------------------------------------
 
-LEMON is an open source library written in C++. It provides
-easy-to-use implementations of common data structures and algorithms
-in the area of optimization and helps implementing new ones. The main
-focus is on graphs and graph algorithms, thus it is especially
-suitable for solving design and optimization problems of
-telecommunication networks. To achieve wide usability its data
-structures and algorithms provide generic interfaces.
+LEMON is the abbreviation of Library of Efficient Models and
+Optimization in Networks. It is an open source library written in
+C++. It provides a set of easy-to-use implementation of common data
+structures and algorithms in the area of optimization and helps
+implementing new ones. It is an especially suitable tool to solve the
+design and optimization problems of telecommunications networks. To
+achieve wide usability, a fundamental design requirement is the
+genericity of interface of data structures and algorithms. LEMON is an
+open source library end invites people all around the world in its
+development.
 
+--------
 Contents
-========
+--------
 
-LICENSE
+COPYING, LICENSE
 
-   Copying, distribution and modification conditions and terms.
+  Copying, distribution and modification conditions and terms.
 
 INSTALL
 
-   General building and installation instructions.
+  For general building and installation instructions, see the file.
 
 lemon/
 
-   Source code of LEMON library.
+  Source code of LEMON itself.
 
 doc/
 
-   Documentation of LEMON. The starting page is doc/html/index.html.
+  Documentation of LEMON. The starting page is doc/html/index.html.
+  The documentation installs into the directory
+
+    /usr/local/share/doc/lemon/html
+
+  or -- if you use different prefix -- into
+
+    ${prefix}/share/doc/lemon/html
+
+  (see also INSTALL).
 
 demo/
 
-   Some example programs to make you easier to get familiar with LEMON.
+  Some demonstration programs to make you easier to get familiar with
+  LEMON. Use --enable-demo configure option to also compile these codes
+  (see also INSTALL).
 
 test/
 
-   Programs to check the integrity and correctness of LEMON.
+  Contains programs to check the integrity and correctness of
+  LEMON. The command 'make check' performs these tests.
 
-tools/
-
-   Various utilities related to LEMON.
+benchmark/
+  
+  Contains programs measuring the performance of LEMON. Use
+  --enable-benchmark configure option to also compile these codes (see
+  also INSTALL).
Index: benchmark/Makefile.am
===================================================================
--- benchmark/Makefile.am	(revision 146)
+++ benchmark/Makefile.am	(revision 146)
@@ -0,0 +1,7 @@
+if WANT_BENCHMARK
+
+noinst_HEADERS +=
+
+noinst_PROGRAMS +=
+
+endif WANT_BENCHMARK
Index: configure.ac
===================================================================
--- configure.ac	(revision 314)
+++ configure.ac	(revision 219)
@@ -2,16 +2,10 @@
 
 dnl Version information.
-m4_define([lemon_version_number],
-	[m4_normalize(esyscmd([echo ${LEMON_VERSION}]))])
-dnl m4_define([lemon_version_number], [])
-m4_define([lemon_hg_path], [m4_normalize(esyscmd([./scripts/chg-len.py]))])
+m4_define([lemon_version_number], [])
 m4_define([lemon_hg_revision], [m4_normalize(esyscmd([hg id -i]))])
-m4_define([lemon_version], [ifelse(lemon_version_number(),
-			   [],
-			   [lemon_hg_path().lemon_hg_revision()],
-			   [lemon_version_number()])])
+m4_define([lemon_version], [ifelse(lemon_version_number(), [], [lemon_hg_revision()], [lemon_version_number()])])
 
 AC_PREREQ([2.59])
-AC_INIT([LEMON], [lemon_version()], [lemon-user@lemon.cs.elte.hu], [lemon])
+AC_INIT([LEMON], [lemon_version()], [lemon-devel@lemon.cs.elte.hu], [lemon])
 AC_CONFIG_AUX_DIR([build-aux])
 AC_CONFIG_MACRO_DIR([m4])
@@ -21,7 +15,4 @@
 
 lx_cmdline_cxxflags_set=${CXXFLAGS+set}
-
-dnl Do compilation tests using the C++ compiler.
-AC_LANG([C++])
 
 dnl Checks for programs.
@@ -35,26 +26,14 @@
 AC_CHECK_PROG([gs_found],[gs],[yes],[no])
 
-dnl Detect Intel compiler.
-AC_MSG_CHECKING([whether we are using the Intel C++ compiler])
-AC_COMPILE_IFELSE([#ifndef __INTEL_COMPILER
-choke me
-#endif], [ICC=[yes]], [ICC=[no]])
-if test x"$ICC" = x"yes"; then
-  AC_MSG_RESULT([yes])
-else
-  AC_MSG_RESULT([no])
-fi
-
-dnl Set custom compiler flags when using g++.
-if test x"$lx_cmdline_cxxflags_set" != x"set" -a "$GXX" = yes -a "$ICC" = no; then
+if test x"$lx_cmdline_cxxflags_set" != x"set" -a "$GXX" = yes; then
   CXXFLAGS="$CXXFLAGS -Wall -W -Wall -W -Wunused -Wformat=2 -Wctor-dtor-privacy -Wnon-virtual-dtor -Wno-char-subscripts -Wwrite-strings -Wno-char-subscripts -Wreturn-type -Wcast-qual -Wcast-align -Wsign-promo -Woverloaded-virtual -Woverloaded-virtual -ansi -fno-strict-aliasing -Wold-style-cast -Wno-unknown-pragmas"
 fi
 
 dnl Checks for libraries.
-#LX_CHECK_GLPK
-#LX_CHECK_CPLEX
-#LX_CHECK_SOPLEX
+LX_CHECK_GLPK
+LX_CHECK_CPLEX
+LX_CHECK_SOPLEX
 
-dnl Disable/enable building the demo programs.
+dnl Disable/enable building the demo programs
 AC_ARG_ENABLE([demo],
 AS_HELP_STRING([--enable-demo], [build the demo programs])
@@ -69,5 +48,5 @@
 AM_CONDITIONAL([WANT_DEMO], [test x"$enable_demo" != x"no"])
 
-dnl Disable/enable building the binary tools.
+dnl Disable/enable building the binary tools
 AC_ARG_ENABLE([tools],
 AS_HELP_STRING([--enable-tools], [build additional tools @<:@default@:>@])
@@ -81,4 +60,17 @@
 fi
 AM_CONDITIONAL([WANT_TOOLS], [test x"$enable_tools" != x"no"])
+
+dnl Disable/enable building the benchmarks
+AC_ARG_ENABLE([benchmark],
+AS_HELP_STRING([--enable-benchmark], [build the benchmarks])
+AS_HELP_STRING([--disable-benchmark], [do not build the benchmarks @<:@default@:>@]),
+              [], [enable_benchmark=no])
+AC_MSG_CHECKING([whether to build the benchmarks])
+if test x"$enable_benchmark" != x"no"; then
+  AC_MSG_RESULT([yes])
+else
+  AC_MSG_RESULT([no])
+fi
+AM_CONDITIONAL([WANT_BENCHMARK], [test x"$enable_benchmark" != x"no"])
 
 dnl Checks for header files.
@@ -116,8 +108,9 @@
 echo C++ compiles flags............ : $CXXFLAGS
 echo
-#echo GLPK support.................. : $lx_glpk_found
-#echo CPLEX support................. : $lx_cplex_found
-#echo SOPLEX support................ : $lx_soplex_found
-#echo
+echo GLPK support.................. : $lx_glpk_found
+echo CPLEX support................. : $lx_cplex_found
+echo SOPLEX support................ : $lx_soplex_found
+echo
+echo Build benchmarks.............. : $enable_benchmark
 echo Build demo programs........... : $enable_demo
 echo Build additional tools........ : $enable_tools
Index: demo/CMakeLists.txt
===================================================================
--- demo/CMakeLists.txt	(revision 225)
+++ demo/CMakeLists.txt	(revision 141)
@@ -1,13 +1,13 @@
-INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR})
+include_directories (${LEMON_SOURCE_DIR})
 
-LINK_DIRECTORIES(${CMAKE_BINARY_DIR}/lemon)
+link_directories (${LEMON_BINARY_DIR}/lemon)
 
-SET(DEMOS
+set (DEMOS
   arg_parser_demo
   graph_to_eps_demo
   lgf_demo)
 
-FOREACH(DEMO_NAME ${DEMOS})
-  ADD_EXECUTABLE(${DEMO_NAME} ${DEMO_NAME}.cc)
-  TARGET_LINK_LIBRARIES(${DEMO_NAME} lemon)
-ENDFOREACH(DEMO_NAME)
+foreach (DEMO_NAME ${DEMOS})
+  add_executable (${DEMO_NAME} ${DEMO_NAME}.cc)
+  target_link_libraries (${DEMO_NAME} lemon)
+  endforeach (DEMO_NAME)
Index: demo/arg_parser_demo.cc
===================================================================
--- demo/arg_parser_demo.cc	(revision 315)
+++ demo/arg_parser_demo.cc	(revision 209)
@@ -28,5 +28,5 @@
 
 using namespace lemon;
-int main(int argc, char **argv)
+int main(int argc, const char **argv)
 {
   // Initialize the argument parser
Index: demo/graph_to_eps_demo.cc
===================================================================
--- demo/graph_to_eps_demo.cc	(revision 317)
+++ demo/graph_to_eps_demo.cc	(revision 220)
@@ -27,5 +27,5 @@
 /// how to handle parallel egdes, how to change the properties (like
 /// color, shape, size, title etc.) of nodes and arcs individually
-/// using appropriate graph maps.
+/// using appropriate \ref maps-page "graph maps".
 ///
 /// \include graph_to_eps_demo.cc
Index: demo/lgf_demo.cc
===================================================================
--- demo/lgf_demo.cc	(revision 294)
+++ demo/lgf_demo.cc	(revision 209)
@@ -45,10 +45,10 @@
 
   try {
-    digraphReader(g, "digraph.lgf"). // read the directed graph into g
+    digraphReader("digraph.lgf", g). // read the directed graph into g
       arcMap("capacity", cap).       // read the 'capacity' arc map into cap
       node("source", s).             // read 'source' node to s
       node("target", t).             // read 'target' node to t
       run();
-  } catch (Exception& error) { // check if there was any error
+  } catch (DataFormatError& error) { // check if there was any error
     std::cerr << "Error: " << error.what() << std::endl;
     return -1;
@@ -61,5 +61,5 @@
   std::cout << "We can write it to the standard output:" << std::endl;
 
-  digraphWriter(g).                // write g to the standard output
+  digraphWriter(std::cout, g).     // write g to the standard output
     arcMap("capacity", cap).       // write cap into 'capacity'
     node("source", s).             // write s to 'source'
Index: doc/Doxyfile.in
===================================================================
--- doc/Doxyfile.in	(revision 321)
+++ doc/Doxyfile.in	(revision 219)
@@ -1,3 +1,3 @@
-# Doxyfile 1.5.7.1
+# Doxyfile 1.5.5
 
 #---------------------------------------------------------------------------
@@ -16,6 +16,6 @@
 INLINE_INHERITED_MEMB  = NO
 FULL_PATH_NAMES        = YES
-STRIP_FROM_PATH        = "@abs_top_srcdir@"
-STRIP_FROM_INC_PATH    = "@abs_top_srcdir@"
+STRIP_FROM_PATH        = @abs_top_srcdir@
+STRIP_FROM_INC_PATH    = @abs_top_srcdir@
 SHORT_NAMES            = YES
 JAVADOC_AUTOBRIEF      = NO
@@ -34,9 +34,7 @@
 CPP_CLI_SUPPORT        = NO
 SIP_SUPPORT            = NO
-IDL_PROPERTY_SUPPORT   = YES
 DISTRIBUTE_GROUP_DOC   = NO
 SUBGROUPING            = YES
 TYPEDEF_HIDES_STRUCT   = NO
-SYMBOL_CACHE_SIZE      = 0
 #---------------------------------------------------------------------------
 # Build related configuration options
@@ -69,8 +67,5 @@
 SHOW_USED_FILES        = YES
 SHOW_DIRECTORIES       = YES
-SHOW_FILES             = YES
-SHOW_NAMESPACES        = YES
 FILE_VERSION_FILTER    = 
-LAYOUT_FILE            = DoxygenLayout.xml
 #---------------------------------------------------------------------------
 # configuration options related to warning and progress messages
@@ -81,16 +76,16 @@
 WARN_IF_DOC_ERROR      = YES
 WARN_NO_PARAMDOC       = NO
-WARN_FORMAT            = "$file:$line: $text"
+WARN_FORMAT            = "$file:$line: $text  "
 WARN_LOGFILE           = doxygen.log
 #---------------------------------------------------------------------------
 # configuration options related to the input files
 #---------------------------------------------------------------------------
-INPUT                  = "@abs_top_srcdir@/doc" \
-                         "@abs_top_srcdir@/lemon" \
-                         "@abs_top_srcdir@/lemon/bits" \
-                         "@abs_top_srcdir@/lemon/concepts" \
-                         "@abs_top_srcdir@/demo" \
-                         "@abs_top_srcdir@/tools" \
-                         "@abs_top_srcdir@/test/test_tools.h"
+INPUT                  = @abs_top_srcdir@/doc \
+                         @abs_top_srcdir@/lemon \
+                         @abs_top_srcdir@/lemon/bits \
+                         @abs_top_srcdir@/lemon/concepts \
+                         @abs_top_srcdir@/demo \
+                         @abs_top_srcdir@/tools \
+                         @abs_top_srcdir@/test/test_tools.h
 INPUT_ENCODING         = UTF-8
 FILE_PATTERNS          = *.h \
@@ -102,11 +97,11 @@
 EXCLUDE_PATTERNS       = 
 EXCLUDE_SYMBOLS        = 
-EXAMPLE_PATH           = "@abs_top_srcdir@/demo" \
-                         "@abs_top_srcdir@/LICENSE" \
-                         "@abs_top_srcdir@/doc"
+EXAMPLE_PATH           = @abs_top_srcdir@/demo \
+                         @abs_top_srcdir@/LICENSE \
+                         @abs_top_srcdir@/doc
 EXAMPLE_PATTERNS       = 
 EXAMPLE_RECURSIVE      = NO
-IMAGE_PATH             = "@abs_top_srcdir@/doc/images" \
-                         "@abs_top_builddir@/doc/gen-images"
+IMAGE_PATH             = @abs_top_srcdir@/doc/images \
+                         @abs_top_builddir@/doc/gen-images
 INPUT_FILTER           = 
 FILTER_PATTERNS        = 
@@ -139,25 +134,18 @@
 HTML_STYLESHEET        = 
 HTML_ALIGN_MEMBERS     = YES
-HTML_DYNAMIC_SECTIONS  = NO
+GENERATE_HTMLHELP      = NO
 GENERATE_DOCSET        = NO
 DOCSET_FEEDNAME        = "Doxygen generated docs"
 DOCSET_BUNDLE_ID       = org.doxygen.Project
-GENERATE_HTMLHELP      = NO
+HTML_DYNAMIC_SECTIONS  = NO
 CHM_FILE               = 
 HHC_LOCATION           = 
 GENERATE_CHI           = NO
-CHM_INDEX_ENCODING     = 
 BINARY_TOC             = NO
 TOC_EXPAND             = NO
-GENERATE_QHP           = NO
-QCH_FILE               = 
-QHP_NAMESPACE          = org.doxygen.Project
-QHP_VIRTUAL_FOLDER     = doc
-QHG_LOCATION           = 
 DISABLE_INDEX          = NO
 ENUM_VALUES_PER_LINE   = 4
 GENERATE_TREEVIEW      = NO
 TREEVIEW_WIDTH         = 250
-FORMULA_FONTSIZE       = 10
 #---------------------------------------------------------------------------
 # configuration options related to the LaTeX output
@@ -234,11 +222,8 @@
 # Configuration options related to the dot tool   
 #---------------------------------------------------------------------------
-CLASS_DIAGRAMS         = YES
+CLASS_DIAGRAMS         = NO
 MSCGEN_PATH            = 
 HIDE_UNDOC_RELATIONS   = YES
 HAVE_DOT               = YES
-DOT_FONTNAME           = FreeSans
-DOT_FONTSIZE           = 10
-DOT_FONTPATH           = 
 CLASS_GRAPH            = YES
 COLLABORATION_GRAPH    = NO
Index: doc/Makefile.am
===================================================================
--- doc/Makefile.am	(revision 322)
+++ doc/Makefile.am	(revision 156)
@@ -1,5 +1,4 @@
 EXTRA_DIST += \
 	doc/Doxyfile.in \
-	doc/DoxygenLayout.xml \
 	doc/coding_style.dox \
 	doc/dirs.dox \
@@ -8,9 +7,6 @@
 	doc/license.dox \
 	doc/mainpage.dox \
-	doc/migration.dox \
-	doc/named-param.dox \
 	doc/namespaces.dox \
-	doc/html \
-	doc/CMakeLists.txt
+	doc/html
 
 DOC_EPS_IMAGES18 = \
Index: doc/dirs.dox
===================================================================
--- doc/dirs.dox	(revision 325)
+++ doc/dirs.dox	(revision 209)
@@ -19,7 +19,7 @@
 /**
 \dir demo
-\brief A collection of demo applications.
+\brief A collection of demo application.
 
-This directory contains several simple demo applications, mainly
+This directory contains several simple demo application, mainly
 for educational purposes.
 */
@@ -29,6 +29,5 @@
 \brief Auxiliary (and the whole generated) documentation.
 
-This directory contains some auxiliary pages and the whole generated
-documentation.
+Auxiliary (and the whole generated) documentation.
 */
 
@@ -43,14 +42,17 @@
 /**
 \dir tools
-\brief Some useful executables.
+\brief Some useful executables
 
 This directory contains the sources of some useful complete executables.
+
 */
+
+
 
 /**
 \dir lemon
-\brief Base include directory of LEMON.
+\brief Base include directory of LEMON
 
-This is the base directory of LEMON includes, so each include file must be
+This is the base directory of lemon includes, so each include file must be
 prefixed with this, e.g.
 \code
@@ -62,16 +64,16 @@
 /**
 \dir concepts
-\brief Concept descriptors and checking classes.
+\brief Concept descriptors and checking classes
 
-This directory contains the concept descriptors and concept checking tools.
-For more information see the \ref concept "Concepts" module.
+This directory contains the concept descriptors and concept checkers. As a user
+you typically don't have to deal with these files.
 */
 
 /**
 \dir bits
-\brief Auxiliary tools for implementation.
+\brief Implementation helper files
 
-This directory contains some auxiliary classes for implementing graphs, 
-maps and some other classes.
-As a user you typically don't have to deal with these files.
+This directory contains some helper classes to implement graphs, maps and
+some other classes. As a user you typically don't have to deal with these
+files.
 */
